Index: code/branches/network3/src/orxonox/Main.cc
===================================================================
--- code/branches/network3/src/orxonox/Main.cc	(revision 1250)
+++ code/branches/network3/src/orxonox/Main.cc	(revision 1261)
@@ -75,5 +75,5 @@
 {
   try {
-    //SignalHandler::getInstance()->doCatch(argv[0], "orxonox.log");
+    SignalHandler::getInstance()->doCatch(argv[0], "orxonox.log");
     Orxonox* orx = Orxonox::getSingleton();
 
Index: code/branches/network3/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/network3/src/orxonox/Orxonox.cc	(revision 1250)
+++ code/branches/network3/src/orxonox/Orxonox.cc	(revision 1261)
@@ -494,4 +494,8 @@
       ogreRoot._fireFrameEnded(evt);
 	  }
+    if(mode_==CLIENT)
+      network::Client::getSingleton()->closeConnection();
+    else if(mode_==SERVER)
+      server_g->close();
   }
 
Index: code/branches/network3/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/network3/src/orxonox/objects/SpaceShip.cc	(revision 1250)
+++ code/branches/network3/src/orxonox/objects/SpaceShip.cc	(revision 1261)
@@ -113,6 +113,7 @@
     SpaceShip::~SpaceShip()
     {
-        if (this->tt_)
+        if (this->tt_){
             delete this->tt_;
+        }
     }
 
Index: code/branches/network3/src/orxonox/objects/WorldEntity.cc
===================================================================
--- code/branches/network3/src/orxonox/objects/WorldEntity.cc	(revision 1250)
+++ code/branches/network3/src/orxonox/objects/WorldEntity.cc	(revision 1261)
@@ -75,4 +75,6 @@
     WorldEntity::~WorldEntity()
     {
+      // just to make sure we clean out all scene nodes
+      this->getNode()->removeAndDestroyAllChildren();
     }
 
@@ -207,12 +209,12 @@
       registerVar( (void*) &(this->getOrientation().z), sizeof(this->getOrientation().z), network::DATA, 0x3);
       // register velocity_
-      registerVar( (void*) &(this->getVelocity().x), sizeof(this->getVelocity().x), network::DATA, 0x3);
-      registerVar( (void*) &(this->getVelocity().y), sizeof(this->getVelocity().y), network::DATA, 0x3);
-      registerVar( (void*) &(this->getVelocity().z), sizeof(this->getVelocity().z), network::DATA, 0x3);
-      // register rotationAxis/rate
-      registerVar( (void*) &(this->getRotationRate()), sizeof(this->getRotationRate()), network::DATA, 0x3);
-      registerVar( (void*) &(this->getRotationAxis().x), sizeof(this->getRotationAxis().x), network::DATA, 0x3);
-      registerVar( (void*) &(this->getRotationAxis().y), sizeof(this->getRotationAxis().y), network::DATA, 0x3);
-      registerVar( (void*) &(this->getRotationAxis().z), sizeof(this->getRotationAxis().z), network::DATA, 0x3);
+//       registerVar( (void*) &(this->getVelocity().x), sizeof(this->getVelocity().x), network::DATA, 0x3);
+//       registerVar( (void*) &(this->getVelocity().y), sizeof(this->getVelocity().y), network::DATA, 0x3);
+//       registerVar( (void*) &(this->getVelocity().z), sizeof(this->getVelocity().z), network::DATA, 0x3);
+//       // register rotationAxis/rate
+//       registerVar( (void*) &(this->getRotationRate()), sizeof(this->getRotationRate()), network::DATA, 0x3);
+//       registerVar( (void*) &(this->getRotationAxis().x), sizeof(this->getRotationAxis().x), network::DATA, 0x3);
+//       registerVar( (void*) &(this->getRotationAxis().y), sizeof(this->getRotationAxis().y), network::DATA, 0x3);
+//       registerVar( (void*) &(this->getRotationAxis().z), sizeof(this->getRotationAxis().z), network::DATA, 0x3);
       // register scale of node
       registerVar( (void*) &(this->getScale().x), sizeof(this->getScale().x), network::DATA, 0x3);
Index: code/branches/network3/src/orxonox/particle/ParticleInterface.cc
===================================================================
--- code/branches/network3/src/orxonox/particle/ParticleInterface.cc	(revision 1250)
+++ code/branches/network3/src/orxonox/particle/ParticleInterface.cc	(revision 1261)
@@ -63,4 +63,6 @@
   ParticleInterface::~ParticleInterface(void)
   {
+    while(particleSystem_->getNumEmitters()>0)
+      particleSystem_->removeEmitter(particleSystem_->getNumEmitters()-1);
     sceneManager_->destroyParticleSystem(particleSystem_);
   }
